del *.dvi *.aux *.log *.ps *.pdf *.1 *.mpx

rem misc
for %%f in (misc set3) ^
do ( ^
uplatex %%f-check-utf8 && ^
uplatex "\def\withhyperref{dvipdfmx}\input" %%f-check-utf8.tex && ^
uplatex "\def\withhyperref{dvipdfmx}\input" %%f-check-utf8.tex && ^
updvitype -kanji=uptex %%f-check-utf8.dvi > %%f-check-utf8.pdvitype && ^
updvipdfmx %%f-check-utf8 && ^
uplatex "\def\withhyperref{dvips}\input" %%f-check-utf8.tex && ^
updvips %%f-check-utf8 && ^
uplatex %%f-check-utf8 )

rem kinsoku
uplatex kinsoku-chk-utf8
dvipdfmx kinsoku-chk-utf8
updvips kinsoku-chk-utf8

rem widow
platex widow
move widow.dvi widow-platex.dvi
dvipdfmx widow-platex.dvi
uplatex widow
move widow.dvi widow-u-uptex.dvi
dvipdfmx widow-u-uptex.dvi

rem uptex
uptex sangoku-uptex
dvipdfmx sangoku-uptex
updvips sangoku-uptex

rem uplatex
uplatex sangoku-uplatex
dvipdfmx sangoku-uplatex
updvips sangoku-uplatex

rem aozora
for %%c in (ujarticle ujreport ujbook utarticle utreport utbook) ^
do ( ^
uplatex aozora-%%c-utf8 && ^
dvipdfmx aozora-%%c-utf8 && ^
updvips aozora-%%c-utf8 )

rem adobe
for %%c in (jp kr gb cns) ^
do ( ^
uptex adobe-%%c-utf8 && ^
updvipdfmx adobe-%%c-utf8 && ^
updvips adobe-%%c-utf8 )

rem jbib
uplatex jbib2-utf8.tex
upjbibtex -kanji=uptex --kanji-internal=uptex jbib2-utf8
uplatex jbib2-utf8.tex
uplatex jbib2-utf8.tex

rem jmpost
for %%f in (area jstr) ^
do ( ^
upjmpost -kanji=uptex -tex=uplatex %%f-uptex.mp && ^
uplatex %%f-uptex-incl.tex && ^
updvips %%f-uptex-incl.dvi && ^
updvipdfmx %%f-uptex-incl.dvi )
